<?php
/*
Plugin Name: Feedburner Counter
Plugin URI: http://www.xcake.com.br
Description: Displays the amount of feed subscribers via FeedBurner (feedburner.com) as simple text. Just add the following code to your template: &lt;?php xc_feedburner_counter('XXXXX'); ?&gt; or to your post: [feedburner_counter feed="XXXXX"] where "XXXXX" is http://feeds.feedburner.com/XXXXX (aka the "Feedburner URI"). View the readme.txt file for more information.
Author: xCakeBlogs
Author URI: http://www.xcake.com.br
Version: 0.2
*/

function xc_fcScript($user, $number) {
	$fburl="https://feedburner.google.com/api/awareness/1.0/GetFeedData?uri=".$user;
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_URL, $fburl);
	$stored = curl_exec($ch);
	curl_close($ch);
	$grid = new SimpleXMLElement($stored);
	$rsscount = $grid->feed->entry['circulation']+0;
	if ($number == "yes") return number_format($rsscount);
	else return $rsscount;
}

function xc_feedburner_counterRun($feed, $number_format) {
	$xcc_subs = xc_fcScript($feed, $number_format);
	$xcc_option = "xc_feedburner_counter";
	$xcc_subscount = get_option($xcc_option);
	if (is_null($xcc_subs) || $xcc_subs == "0") { if ($number_format == "yes") return number_format($xcc_subscount); else return $xcc_subscount; }
	else {update_option($xcc_option, $xcc_subs); return $xcc_subs;} 
}

function xc_feedburner_counter($feed, $number_format = "yes") {echo xc_feedburner_counterRun($feed, $number_format);}
function get_xc_feedburner_counter($feed) { return xc_feedburner_counterRun($feed, "no");}

function xcFCC_short($atts) {
	extract(shortcode_atts(array('feed' => 'designblogbr','number_format' => 'yes',), $atts));
	return xc_feedburner_counterRun($feed, $number_format);
}
add_shortcode('feedburner_counter', 'xcFCC_short');

?>